import { JSX } from "react";
import { Navigate } from "react-router-dom";
import { useIsAuthenticated } from "../hooks";

/**
 * Protege una ruta para usuarios autenticados.
 */
export const AuthGuard = ({ children }: { children: JSX.Element }) => {
  const isAuthenticated = useIsAuthenticated();

  if (!isAuthenticated) {
    return <Navigate to='/login' replace />;
  }

  return children;
};
